@filters-z-index-base: @zindex-navbar-fixed;

.category-page-content {
    margin-bottom: @grid-gutter-width*2;

    > .flex-row {
        margin-left: -@grid-gutter-width/2;
        margin-right: -@grid-gutter-width/2;
        display: flex;
        flex-wrap: nowrap;
    }

    .category-sidebar {
        flex-grow: 0;
        flex-shrink: 0;
        max-width: 260px;
        flex-basis: 260px;
        padding: @grid-gutter-width*1.5 @grid-gutter-width*1.5 0 @grid-gutter-width/2;
        margin-bottom: @grid-gutter-width*2;

        @media (min-width: @screen-lg-min) {
            max-width: 300px;
            flex-basis: 300px;
        }

        .category-menu-title {
            text-transform: uppercase;
            margin: @grid-gutter-width/6 0 @grid-gutter-width/2;
            font-size: @font-size-base;
        }

        ul {
            margin: 0 0 @grid-gutter-width*1.5 0;
            padding: 0;
            list-style: none;

            li {
                margin: 5px 0;
                display: block;

                a {
                    padding: 5px 0;
                    font-size: @font-size-small;
                    display: block;
                    font-weight: 500;
                }
            }
        }

        li.current > a {
            text-decoration: underline;
        }
    }

    .category-main {
        flex-grow: 1;
        flex-shrink: 1;
        padding: 0 @grid-gutter-width/2;

        .category-image {
            margin-bottom: @grid-gutter-width;

            img {
                max-width: 100%;
            }
        }
    }
}

.category-filter-toggle-wrap {
    text-align: right;
    margin-bottom: @grid-gutter-width/2;
}

.product-list-grid {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: @grid-gutter-width*2;

    @supports (display: grid) {
        display: grid;
        grid-gap: 0 30px;
        grid-template-columns: repeat(auto-fill, minmax(315px, 1fr));
    }

    .col {
        flex-basis: 0;
        flex-grow: 1;
        max-width: 100%;
        width: 100%;
        margin-right: @grid-gutter-width;

        @supports (display: grid) {
            margin-right: 0;
            flex-basis: unset !important;
        }
    }

    .single-product {
        margin-bottom: @grid-gutter-width*2;
    }
}

body.canvas-filters-dialog__open {
    overflow: hidden;

    .canvas-filters-dialog {
        opacity: 1;
        visibility: visible;
    }

    .canvas-dialog__page-fade-filters {
        opacity: 1;
        visibility: visible;
        z-index: @filters-z-index-base + 1;
    }

    #main {
        z-index: @filters-z-index-base;
        position: relative;
    }
}

.canvas-filters-dialog {
    background: @white;
    outline: none;
    width: 400px;
    border: 1px solid @border-color;
    z-index: @filters-z-index-base + 2;

    &__toggler {
        font-size: @font-size-small;

        i {
            margin-left: 3px;
        }
    }

    .filter-block {
        margin: @grid-gutter-width/1.5 0 @grid-gutter-width/3 0;
        border: solid @border-color;
        border-width: 0 0 1px 0;
        padding-bottom: @grid-gutter-width/3;

        a.block-title {
            width: 100%;
            display: flex;
            flex-flow: row nowrap;
            align-items: center;
            justify-content: space-between;
            padding: @grid-gutter-width/3 @grid-gutter-width/3 0 0;
            font-family: @headings-font-family;
            font-weight: @headings-font-weight;
            letter-spacing: @headings-letter-spacing;

            svg {
                width: 18px;
                height: 18px;
            }

            &.collapsed {
                .icon-minus {
                    display: none;
                }

                .icon-plus {
                    display: block;
                }
            }

            .icon-plus {
                display: none;
            }
        }

        .collapsible-content {
            padding: @grid-gutter-width/3 0;
        }

        .form-group {
            margin: 0;
        }
    }

    #clear-all-filters a {
        .btn();
        .btn-white();
        width: 100%;
        margin-top: @grid-gutter-width/2;
    }
}

.canvas-dialog__page-fade-filters {
    opacity: 0;
    visibility: hidden;
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    z-index: -1;
    background: rgba(#fff, .7);
    transition: all .15s;

    @supports (-webkit-backdrop-filter: none) or (backdrop-filter: none) {
        backdrop-filter: blur(4px);
    }
}
